#ifndef sailboat_H
#define sailboat_H

#include <QtGui/QGraphicsView>
#include <math.h>
#include "QObject"
//#include <windows.h>

#define RadToDeg 180.0f/M_PI
#define DegToRad M_PI/180

class sailboat
{    public:

            double x,y,theta,v,omega,phi,phiPoint; // state variables
            double beta, Jz, rg, rv, alphag, alphav, alphaf, alphatheta, l,m, Jx; //parameters
            double a,psi;  //wind
            double dt;
            double fg,fv,gamma,deltav,deltag,deltavmax;  //link variables
            double eta;//viscosit
            double hv; // hauteur de centre de pousse
            //double g;// = 9.81

            void Clock();
            explicit sailboat ();
        ~sailboat();


    protected:

    private:
        void Draw();

  };


#endif // sailboat_H
